# QStateMachine_SignalEvent Class Reference

### [com.trolltech.qt.core package]

Inherits QEvent.

### Constructor

- void QStateMachine_SignalEvent(QObject sender, int signalIndex, List arguments)

### Constructor Properties

- prototype: The QStateMachine_SignalEvent prototype object

### Prototype Object Properties

The QStateMachine_SignalEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- List arguments()
- QObject sender()
- int signalIndex()

### Instance Properties

QStateMachine_SignalEvent objects have no special properties beyond those inherited from the QStateMachine_SignalEvent prototype object.